package com.gingersoft.gsa.cloud.table.app.payment.bean;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/6/13
 * 修订历史：2019/6/13
 * 描述：
 */
public class PayRequest {

    private String EVENT_NAME;
    private String PAYMENT_APP_ID;
    private String TXN_ID;
    private double TIPS;
    private double TXN_AMT;


    public String getEVENT_NAME() {
        return EVENT_NAME;
    }

    public void setEVENT_NAME(String EVENT_NAME) {
        this.EVENT_NAME = EVENT_NAME;
    }

    public String getPAYMENT_APP_ID() {
        return PAYMENT_APP_ID;
    }

    public void setPAYMENT_APP_ID(String PAYMENT_APP_ID) {
        this.PAYMENT_APP_ID = PAYMENT_APP_ID;
    }

    public String getTXN_ID() {
        return TXN_ID;
    }

    public void setTXN_ID(String TXN_ID) {
        this.TXN_ID = TXN_ID;
    }

    public double getTIPS() {
        return TIPS;
    }

    public void setTIPS(double TIPS) {
        this.TIPS = TIPS;
    }

    public double getTXN_AMT() {
        return TXN_AMT;
    }

    public void setTXN_AMT(double TXN_AMT) {
        this.TXN_AMT = TXN_AMT;
    }

    @Override
    public String toString() {
        return "PayRequest{" +
                "EVENT_NAME='" + EVENT_NAME + '\'' +
                ", PAYMENT_APP_ID='" + PAYMENT_APP_ID + '\'' +
                ", TXN_ID='" + TXN_ID + '\'' +
                ", TIPS=" + TIPS +
                ", TXN_AMT=" + TXN_AMT +
                '}';
    }
}
